/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorMergeResultDetailProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorMergeResultDetailProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [sourceleft]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力の翻訳結果ログ(左辺)。基本的に これが英語ロケールです。こちらを基準に処理します。
     */
    private String fSourceleft;

    /**
     * フィールド [sourceright]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力の翻訳結果ログ(右辺)。基本的に、これが各国語ロケールです。左辺と一致しなかった翻訳は無視されます。
     */
    private String fSourceright;

    /**
     * フィールド [targetfile]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力のマージ後ファイル。
     */
    private String fTargetfile;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourceleft]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力の翻訳結果ログ(左辺)。基本的に これが英語ロケールです。こちらを基準に処理します。
     *
     * @param argSourceleft フィールド[sourceleft]に格納したい値
     */
    public void setSourceleft(final String argSourceleft) {
        fSourceleft = argSourceleft;
    }

    /**
     * フィールド[sourceleft]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力の翻訳結果ログ(左辺)。基本的に これが英語ロケールです。こちらを基準に処理します。
     *
     * @return フィールド[sourceleft]に格納されている値
     */
    public String getSourceleft() {
        return fSourceleft;
    }

    /**
     * フィールド [sourceright]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力の翻訳結果ログ(右辺)。基本的に、これが各国語ロケールです。左辺と一致しなかった翻訳は無視されます。
     *
     * @param argSourceright フィールド[sourceright]に格納したい値
     */
    public void setSourceright(final String argSourceright) {
        fSourceright = argSourceright;
    }

    /**
     * フィールド[sourceright]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力の翻訳結果ログ(右辺)。基本的に、これが各国語ロケールです。左辺と一致しなかった翻訳は無視されます。
     *
     * @return フィールド[sourceright]に格納されている値
     */
    public String getSourceright() {
        return fSourceright;
    }

    /**
     * フィールド [targetfile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力のマージ後ファイル。
     *
     * @param argTargetfile フィールド[targetfile]に格納したい値
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド[targetfile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力のマージ後ファイル。
     *
     * @return フィールド[targetfile]に格納されている値
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorMergeResultDetailProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourceleft=" + fSourceleft);
        buf.append(",sourceright=" + fSourceright);
        buf.append(",targetfile=" + fTargetfile);
        buf.append("]");
        return buf.toString();
    }
}
